local mod = LibStub("AceAddon-3.0"):GetAddon("MarySue")

function mod:CreateDisplay()
	local f = CreateFrame("Frame", "MarySueProfileFrame", UIParent)
	f:SetBackdrop({
		bgFile = [[Interface\DialogFrame\UI-DialogBox-Background]],
	    edgeFile = [[Interface\Tooltips\UI-Tooltip-Border]],
	    tile = true, tileSize = 16, edgeSize = 16,
	    insets = { left = 5, right = 5, top = 5, bottom = 5 }
	})
	f:SetWidth(150)
	f:SetHeight(150)
	f:SetPoint("LEFT")
	
	f.name = f:CreateFontString(nil, nil, "GameFontLarge")
	f.name:SetText("Name")
	f.name:SetPoint("TOPLEFT")
	
	f.title = f:CreateFontString(nil, nil, "GameFontLarge")
	f.title:SetText("Title")
	f.title:SetPoint("TOPLEFT", f.name, "BOTTOMLEFT")

	f.status = f:CreateFontString(nil, nil, "GameFontLarge")
	f.status:SetText("Status")
	f.status:SetPoint("TOPLEFT", f.title, "BOTTOMLEFT")
	
	f.profile = f:CreateFontString(nil, nil, "GameFontLarge")
	f.profile:SetText("Status")
	f.profile:SetPoint("TOPLEFT", f.status, "BOTTOMLEFT")
	f.profile:SetPoint("BOTTOMLEFT")
	
	mod.profileDisplay = f
end